package com.ss.android.ugc.aweme.crossplatform.business;

import X.C2041KmO;
import X.C2118Knd;
import X.C2162KoL;
import android.content.Context;
import com.bytedance.covode.number.Covode;

public abstract class BusinessService$Business {
    public final C2118Knd LJIIIIZZ;
    public final C2162KoL LJIIIZ;
    public final C2041KmO LJIIJ;
    public final Context LJIIJJI;

    static {
        Covode.recordClassIndex(62931);
    }

    public BusinessService$Business(C2162KoL koL) {
        this.LJIIIZ = koL;
        C2118Knd knd = koL.LIZ;
        this.LJIIIIZZ = knd;
        this.LJIIJ = knd.getCrossPlatformParams();
        this.LJIIJJI = knd.getContext();
    }
}
